package ru.dbotthepony.kstarbound.network.packets.serverbound

import ru.dbotthepony.kommons.io.readByteArray
import ru.dbotthepony.kommons.io.writeByteArray
import ru.dbotthepony.kstarbound.network.IServerPacket
import ru.dbotthepony.kstarbound.server.ServerConnection
import java.io.DataInputStream
import java.io.DataOutputStream

class HandshakeResponsePacket(val passwordHash: ByteArray) : IServerPacket {
	constructor(stream: DataInputStream, isLegacy: Boolean) : this(stream.readByteArray())

	override fun write(stream: DataOutputStream, isLegacy: Boolean) {
		stream.writeByteArray(passwordHash)
	}

	override fun play(connection: ServerConnection) {
		TODO("Not yet implemented")
	}
}
